Bug 179428 - [MAINTAINER-UPDATE] dns/knot: update to 1.3.0r1
[MAINTAINER-UPDATE] dns/knot: update to 1.3.0r1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 17:30 UTC by freebsd
Modified: 2013-06-13 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (867 bytes, patch)
2013-06-08 17:30 UTC, freebsd
no flags Details | Diff
knot.diff.txt (5.08 KB, text/plain; charset=us-ascii)
2013-06-10 11:31 UTC, freebsd
no flags Details
knot.diff.txt (5.08 KB, text/plain; charset=us-ascii)
2013-06-10 12:07 UTC, freebsd
no flags Details
knot.diff.txt (4.92 KB, text/plain; charset=us-ascii)
2013-06-10 16:06 UTC, freebsd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2013-06-08 17:30:00 UTC
Knot DNS has done major improvements and additions.

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-06-08 22:24:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 william88 2013-06-09 13:11:29 UTC
This patch is for 1.2.0 that is already in ports.

I'm not sure 1.3.0rc1 would be a good idea, usually we wait for releases.

--
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 3 freebsd 2013-06-10 11:31:37 UTC
Ai, I'd submitted an older diff than the one I meant to submit.
Should there better be a knot-devel?
Comment 4 freebsd 2013-06-10 12:07:16 UTC
In my patch I noticed still a fatal leftover "-a" at the reload command in the rc.d script.
Here's another complete patch.
Comment 5 william88 2013-06-10 12:17:00 UTC
Hi,

Yes, if you plan to update to RC or BETA releases too often I believe
there should be an -devel.
Are you going to do that, is that worth it?

--
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 6 freebsd 2013-06-10 16:06:51 UTC
Flex and bison were not in all docs consistently mentioned as dependancy,
so I took it that these were no necessities anymore. Testing went well.
However just installing it on a fresh OS it turns out it's still needed.

Having a -devel port is probaly annoying, as rc releases may be behind
real releases (as git is nowedays the standard for that).
Comment 7 dfilter freebsd_committer 2013-06-13 17:15:43 UTC
Author: wg
Date: Thu Jun 13 16:15:29 2013
New Revision: 320814
URL: http://svnweb.freebsd.org/changeset/ports/320814

Log:
  dns/knot: update to 1.3.0r1
  
  - Update to 1.3.0r1 [1]
  - Drop port.pre.mk in favor of port.options.mk
  - Unmute install commands
  
  Changes:
  https://gitweb.labs.nic.cz/?p=knot.git;a=blob_plain;f=NEWS;hb=b83f1e9f
  
  PR:		ports/179428 [1]
  Submitted by:	Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer)
  Approved by:	culot / jpaetzel (mentors, implicit)

Modified:
  head/dns/knot/Makefile
  head/dns/knot/distinfo
  head/dns/knot/files/knotd.in
  head/dns/knot/files/pkg-message.in
  head/dns/knot/pkg-descr
  head/dns/knot/pkg-plist

Modified: head/dns/knot/Makefile
==============================================================================
--- head/dns/knot/Makefile	Thu Jun 13 16:15:14 2013	(r320813)
+++ head/dns/knot/Makefile	Thu Jun 13 16:15:29 2013	(r320814)
@@ -2,10 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	knot
-DISTVERSION=	1.2.0
+DISTVERSION=	1.3.0r1
 CATEGORIES=	dns ipv6
 MASTER_SITES=	https://secure.nic.cz/files/knot-dns/ \
 		http://www.dns-lab.com/downloads/knot-dns/
+DISTNAME=	knot-1.3.0-rc1
 
 MAINTAINER=	freebsd@dns-lab.com
 COMMENT=	Knot DNS is a high performance authoritative-only DNS server
@@ -16,34 +17,34 @@ BUILD_DEPENDS=	bison:${PORTSDIR}/devel/b
 		flex>=2.5.35_1:${PORTSDIR}/textproc/flex
 LIB_DEPENDS=	urcu:${PORTSDIR}/sysutils/liburcu
 
-CONFIGURE_ARGS=	--sysconfdir=${ETCDIR}
-GNU_CONFIGURE=	yes
 MAKE_JOBS_SAFE=	yes
 USE_AUTOTOOLS=	libtool
-USE_OPENSSL=	yes
 
-.include <bsd.port.pre.mk>
+USE_LDCONFIG=	yes
+USE_OPENSSL=	yes
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--sysconfdir=${ETCDIR}
 
 SUB_FILES=	pkg-message
 
 USE_RC_SUBR=	${PORTNAME}d
 
-MAN8=		knotc.8 knotd.8
+MAN8=		knotc.8 knotd.8 kdig.8 khost.8 knsupdate.8
 MAN5=		knot.conf.5
 
 INFO=		knot
 
-PORTDOCS=	AUTHORS ChangeLog CodingStyle \
-		INSTALL KNOWN_ISSUES NEWS README RELNOTES
+PORTDOCS=	AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
+
+.include <bsd.port.options.mk>
 
 post-install:
 	@${MKDIR} ${ETCDIR}
-	@${INSTALL_DATA} ${WRKSRC}/samples/knot.min.conf ${ETCDIR}
-	@${INSTALL_DATA} ${WRKSRC}/samples/knot.full.conf ${ETCDIR}
+	${INSTALL_DATA} ${WRKSRC}/samples/knot.sample.conf ${ETCDIR}
 .if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}/
+	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}/
 .endif
 	@${CAT} ${WRKDIR}/pkg-message
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/dns/knot/distinfo
==============================================================================
--- head/dns/knot/distinfo	Thu Jun 13 16:15:14 2013	(r320813)
+++ head/dns/knot/distinfo	Thu Jun 13 16:15:29 2013	(r320814)
@@ -1,2 +1,2 @@
-SHA256 (knot-1.2.0.tar.gz) = 7c585ebae5543807db257b14f0e15af79f7cdf83ef90af89eec3d6af304440b0
-SIZE (knot-1.2.0.tar.gz) = 1241376
+SHA256 (knot-1.3.0-rc1.tar.gz) = 7f79dd4e2cf5e4346f9571cdc6667744298b0a0e98d56655287074bac95b3a5b
+SIZE (knot-1.3.0-rc1.tar.gz) = 1157222

Modified: head/dns/knot/files/knotd.in
==============================================================================
--- head/dns/knot/files/knotd.in	Thu Jun 13 16:15:14 2013	(r320813)
+++ head/dns/knot/files/knotd.in	Thu Jun 13 16:15:29 2013	(r320814)
@@ -18,10 +18,8 @@
 name=knot
 rcvar=knot_enable
 
-extra_commands="reload compile"
-compile_cmd="${name}_compile"
+extra_commands="reload"
 reload_cmd="${name}_reload"
-start_precmd="${name}_compile"
 status_cmd="${name}_status"
 stop_cmd="${name}_stop"
 
@@ -37,16 +35,12 @@ pidfile=/var/run/${name}.pid
 command_args="-c ${knot_config} -w start"
 required_files=${knot_config}
 
-knot_compile() {
-	echo "Compiling zone(s)..."
-	${command} -c ${knot_config} compile
-	}
 knot_reload() {
 	echo "Reloading ${name}."
-	${command} -c ${knot_config} -a reload
+	${command} -c ${knot_config} reload
 	}
 knot_status() {
-	${command} -c ${knot_config} running
+	${command} -c ${knot_config} status
 	}
 knot_stop() {
 	echo "Stopping ${name}."

Modified: head/dns/knot/files/pkg-message.in
==============================================================================
--- head/dns/knot/files/pkg-message.in	Thu Jun 13 16:15:14 2013	(r320813)
+++ head/dns/knot/files/pkg-message.in	Thu Jun 13 16:15:29 2013	(r320814)
@@ -5,10 +5,8 @@
 #
 # ----- configure --------------------------------------------------
 #
-  $EDITOR %%ETCDIR%%/knot.min.conf
-# -or-
-# $EDITOR %%ETCDIR%%/knot.full.conf
-# and save it as %%ETCDIR%%/knot.conf
+  cp %%ETCDIR%%/knot.sample.conf %%ETCDIR%%/knot.conf
+  $EDITOR %%ETCDIR%%/knot.conf
 #
 # ----- prepare ----------------------------------------------------
 #
@@ -23,3 +21,10 @@
 #
 ####################################################################
 
+
+  When upgrading from version of before 1.3.0-RC1:
+  mind the default config file location has changed.
+
+
+====================================================================
+

Modified: head/dns/knot/pkg-descr
==============================================================================
--- head/dns/knot/pkg-descr	Thu Jun 13 16:15:14 2013	(r320813)
+++ head/dns/knot/pkg-descr	Thu Jun 13 16:15:29 2013	(r320814)
@@ -1,6 +1,6 @@
 Knot DNS is a high-performance authoritative-only DNS server
 which supports all key features of the domain name system
-including zone transfers, dynamic updates and DNSSEC. 
+including zone AXFR and IXFR, DDNS and DNSSEC.
 
 Key features:
 

Modified: head/dns/knot/pkg-plist
==============================================================================
--- head/dns/knot/pkg-plist	Thu Jun 13 16:15:14 2013	(r320813)
+++ head/dns/knot/pkg-plist	Thu Jun 13 16:15:29 2013	(r320814)
@@ -1,16 +1,11 @@
 @stopdaemon knotd
-%%ETCDIR%%/example.com.zone
-@unexec if cmp -s %B/knot.min.conf %B/knot.conf; then rm -f %B/knot.conf; fi
-%%ETCDIR%%/knot.full.conf
-%%ETCDIR%%/knot.min.conf
+@unexec if cmp -s %B/knot.sample.conf %B/knot.conf; then rm -f %B/knot.conf; fi
 @exec [ -f %B/knot.conf ] || cp %B/%f %B/knot.conf
+%%ETCDIR%%/example.com.zone
 %%ETCDIR%%/knot.sample.conf
 @dirrmtry %%ETCDIR%%
-libexec/knot-zcompile
-libexec/unittests
-libexec/unittests-libknot
-libexec/unittests-libknot-realdata
-libexec/unittests-xfr
-libexec/unittests-zcompile
+sbin/kdig
+sbin/khost
 sbin/knotc
 sbin/knotd
+sbin/knsupdate
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 William Grzybowski freebsd_committer 2013-06-13 17:15:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!